Range-v3 Range algorithms, views, and actions for the Standard Library |

List of all members
ranges::coerce< T & > Struct Template Reference
Functional
Inheritance diagram for ranges::coerce< T & >:

## Additional Inherited Members
Public Member Functions inherited from ranges::coerce< T >
constexpr T | operator() (T &&t) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr T & | operator() (T &t) const
T | operator() (T const &&) const =delete
constexpr T const & | operator() (T const &t) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.